org.eclipse.rdf4j.query.algebra.evaluation.function

## Class FunctionRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<String,Function>
  - - org.eclipse.rdf4j.query.algebra.evaluation.function.FunctionRegistry

-     public class FunctionRegistry
      extends ServiceRegistry<String,Function>

  A ServiceRegistry for implementations of the `Function` interface. Functions are registered by their `IRI`.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionRegistry()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionRegistry` | `getInstance()` Gets the default FunctionRegistry.
    `protected String` | `getKey(Function function)` Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionRegistry

          public FunctionRegistry()

  - ### Method Detail

    - #### getInstance

          public static FunctionRegistry getInstance()

      Gets the default FunctionRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected String getKey(Function function)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<String,Function>`
      Parameters:
        `function` - The service to get the key for.
      Returns:
        The key for the specified service.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.